# $Revision: 1.12 $, $Date: 2002/10/08 17:46:50 $
Summary:	A program for benchmarking hard drives and filesystems
Summary(es):	Benchmark (prueba de desempeo) Bonnie para Sistemas de Archivos Unix
Summary(pl):	Program mierzcy wydajno twardych dyskw i systemw plikw
Summary(pt_BR):	Benchmark (teste de performance) Bonnie para Sistemas de Arquivos Unix
Name:		bonnie++
Version:	1.02c
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.coker.com.au/bonnie++/%{name}-%{version}.tgz
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of
simple tests of hard drive and file system performance.

%description -l es
Bonnie es un benchmark (prueba de desempeo) popular que verifica
varios aspectos de sistemas de archivos Unix.

%description -l pl
Bonnie++ jest zestawem benchmarkw, ktrych celem jest przeprowadzenie
prostych testw wydajnoci twardego dysku i systemu plikw.

%description -l pt_BR
Bonnie  um benchmark (teste de performance) popular que verifica
vrios aspectos de sistemas de arquivos Unix.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/{man1,man8}}

install bonnie++ zcav $RPM_BUILD_ROOT%{_sbindir}
install bon_csv2html bon_csv2txt $RPM_BUILD_ROOT%{_bindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc debian/changelog readme.html

%attr(755,root,root) %{_sbindir}/bonnie++
%attr(755,root,root) %{_sbindir}/zcav
%attr(755,root,root) %{_bindir}/bon_csv2html
%attr(755,root,root) %{_bindir}/bon_csv2txt
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bonnie++.spec,v $
Revision 1.12  2002/10/08 17:46:50  pbern
- update from 1.02 to 1.02c

Revision 1.11  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 15:54:34  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/17 09:55:59  areq
- 1.0.2, STBR

Revision 1.5  2001/08/23 05:02:44  kloczek
- added missing BuildRequires and use more macros,
- merge translations from CNV.

Revision 1.4  2001/08/22 17:33:49  areq
- 1.01d, STBR
- fix %install

Revision 1.3  2001/07/27 20:22:32  migo
'- added missing (pl) in pl Summary'

Revision 1.2  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.1  2001/06/28 13:03:08  agaran
Not finished, dont instal properly, probably need ac fixies (atleast ac+spec)

* Wed Sep 06 2000 Rob Latham <rlatham@plogic.com>
- first packaging
